/*
 * IncFile1.h
 *
 * Created: 12.08.2014 12:10:02
 *  Author: ED1983
 */ 


#ifndef INCFILE1_H_
#define INCFILE1_H_

#ifndef F_CPU
	#define F_CPU 16000000UL ///< Oscillator frequency: 16MHz  (unsigned long)
#endif

#define BIT(x)						( 1<<(x) )
#define SETBIT(addr,x)				( addr |= BIT(x) )
#define CLEARBIT(addr,x)			( addr &= ~BIT(x) )
#define IS_BIT_SET(addr,x)			( addr & BIT(x) )
#define TOGGLEBIT(addr,x)			( addr ^= BIT(x))

#endif /* INCFILE1_H_ */